import { Validation } from "../../ruleset/validation";
export declare class Run {
    private consoleArguments;
    private commandSettings;
    private currentRootPath;
    private rulesetValidation;
    private static readonly HTMLHINT_NODE_COMMAND;
    private static readonly TSC_NODE_COMMAND;
    private static readonly RULES_FILE_NAME;
    private static readonly RULESET_FLAG;
    private static readonly sniffersTSConfigFileName;
    private sniffersTSConfigFilePath;
    private params;
    private filePath;
    private statusToOutput;
    constructor(consoleArguments: string[], commandSettings: any, currentRootPath: string, rulesetValidation: Validation);
    process(): void;
    private init;
    private commandExec;
    private getDataFromRuleset;
    private compileSniffers;
    private createRulesFile;
    private removeFile;
    private removeCompiledSniffers;
    private getArgumentByName;
    private printOutput;
}
